Bug 199982 - Email address should not use Author name
Email address should not use Author name
Product: Fedora
Classification: Fedora
Component: eclipse-changelog (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kyu Lee
: 172241 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-24 15:08 EDT by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-03 16:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (untested) (2.40 KB, patch)
2006-07-24 15:08 EDT, Andrew Overholt
no flags Details | Diff

  None (edit)
Description Andrew Overholt 2006-07-24 15:08:55 EDT
Description of problem:
We now have gij's real name property which is great for the user's real name but
we shouldn't use this to create the email address as well.  I have a patch that
should work.  ChangeLog entry for proposed patch:

2006-07-24  Andrew Overholt  <overholt@redhat.com>

        * src/com/redhat/eclipse/changelog/core/ChangeLogPlugin.java
        (initializeDefaultPreferences): Use getUserRealName for author name.
        * src/com/redhat/eclipse/changelog/core/ChangeLogPreferencesPage.java
        (getUserRealName): New method.  Returns user's real name if
        gnu.gcj.user.realname property is available.
        (getUserName): Don't return gnu.gcj.user.realname.
        (initializeDefaultPreferences): Use getUserRealName where appropriate.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Window->Preferences->ChangeLog
2. Observe Author and Email Address fields
Actual results:
Andrew Overholt@tomboy.toronto.redhat.com

Expected results:

Additional info:
Comment 1 Andrew Overholt 2006-07-24 15:08:55 EDT
Created attachment 132936 [details]
Proposed patch (untested)
Comment 2 Kyu Lee 2006-08-03 16:57:30 EDT
*** Bug 172241 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.